Name:		qubes-utils
Version:	4.1.11
Release:	1%{?dist}
Summary:	Common Linux files for Qubes Dom0 and VM
Source0:    %{name}-%{version}.tar.gz

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Requires:	udev
Requires:	%{name}-libs
Requires:	ImageMagick
Requires:	python%{python3_pkgversion}-qubesimgconverter
%{?systemd_requires}
BuildRequires:  systemd
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3-rpm-macros
# for meminfo-writer
BuildRequires:  xen-devel
BuildRequires:	gcc

%description
Common Linux files for Qubes Dom0 and VM

%package -n python%{python3_pkgversion}-qubesimgconverter
Summary:    Python package qubesimgconverter
Requires:   python%{python3_pkgversion}
Requires:   python%{python3_pkgversion}-cairo
Requires:   python%{python3_pkgversion}-pillow
Requires:   python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-qubesimgconverter
Python package qubesimgconverter

%package devel
Summary:	Development headers for qubes-utils
Release:	1%{?dist}
Requires:	%{name}-libs

%description devel
Development header and files for qubes-utils

%package libs
Summary: Qubes utils libraries
Release:	1%{?dist}

%description libs
Libraries for qubes-utils

%prep
%setup -q

%build
make all BACKEND_VMM=xen PYTHON=%{__python3}

%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

%post
# dom0
%systemd_post qubes-meminfo-writer-dom0.service
# VM
%systemd_post qubes-meminfo-writer.service

%preun
%systemd_preun qubes-meminfo-writer-dom0.service
%systemd_preun qubes-meminfo-writer.service

%postun
%systemd_postun_with_restart qubes-meminfo-writer-dom0.service
%systemd_postun_with_restart qubes-meminfo-writer.service

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/udev/rules.d/*-qubes-*.rules
/usr/lib/qubes/udev-*
%{_sbindir}/meminfo-writer
%{_unitdir}/qubes-meminfo-writer.service
%{_unitdir}/qubes-meminfo-writer-dom0.service

%files -n python%{python3_pkgversion}-qubesimgconverter
%{python3_sitelib}/qubesimgconverter/__init__.py
%{python3_sitelib}/qubesimgconverter/imggen.py
%{python3_sitelib}/qubesimgconverter/test.py
%{python3_sitelib}/qubesimgconverter/test_integ.py
%{python3_sitelib}/qubesimgconverter-%{version}-py?.?.egg-info
%{python3_sitelib}/qubesimgconverter/__pycache__

%files libs
%{_libdir}/libqubes-rpc-filecopy.so.2

%files devel
%defattr(-,root,root,-)
/usr/include/libqubes-rpc-filecopy.h
%{_libdir}/libqubes-rpc-filecopy.so

%changelog
* Wed Aug 12 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-utils.git

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb27dff
- version 4.1.11

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0e1e8d4
- travis: restore 'language: python'

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3c00702
- Update travis

* Mon Jun 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28c2d3e
- version 4.1.10

* Sun Jun 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa1d86f
- debian: adjust dependencies for split python3-qubesimgconverter

* Sat Jun 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e1e4932
- version 4.1.9

* Sat Jun 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 51ea359
- debian: add python3-cairo dependency

* Sat Jun 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - adc121b
- debian: split python qubesimgconverter

* Fri Jun 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8cd7df
- version 4.1.8

* Thu Jun 11 2020 null pointer exception <57326449+deathgrippin@users.noreply.github.com> - 1920032
- Fix typo

* Sun May 31 2020 Rusty Bird <rustybird@net-c.com> - 043793f
- imgconverter: make output reproducible by omitting timestamps

* Wed May 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f864e8
- debian: drop python2 from dependencies

* Fri May 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 641ea6b
- version 4.1.7

* Fri May 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c707a18
- debian: bump libqubes-rpc-filecopy2 required version

* Fri May 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aba6ec6
- qrexec-lib/unpack: option to wait for free disk space

* Thu Apr 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e583b9
- makefile: specify PYTHON at build stage too

* Wed Apr 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20505a8
- version 4.1.6

* Sun Mar 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - a631e3b
- Image.get_from_stream_async(): fix large sizes

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37248f5
- version 4.1.5

* Tue Mar 17 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 42236a8
- Image.get_through_dvm: support Python 3

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1113bf3
- version 4.1.4

* Mon Mar 16 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 0213740
- Image.get_through_dvm: update for Python 3

* Fri Mar 13 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 84a6d0c
- Drop Python 2 support

* Fri Mar 13 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - eda2741
- Add Image.get_from_stream_async

* Wed Jan 22 2020 Rusty Bird <rustybird@net-c.com> - 9debe18
- Remove syncfs fallback for ancient glibc (Debian 7)

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 29a0c0e
- travis: switch to dom0 Fedora 31

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a0a629
- version 4.1.3

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2ba9fd6
- debian: fix dependencies of qubes-kernel-vm-support pkg

* Thu Dec 05 2019 Patrick Schleizer <adrelanos@riseup.net> - 8821906
- qubes-kernel-vm-support.postinst run update-grub

* Thu Dec 05 2019 Patrick Schleizer <adrelanos@riseup.net> - 34c8212
- qubes-kernel-vm-support.preinst create folder /boot/grub

* Wed Oct 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f0dc7d
- travis: update python versions

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c110f98
- travis: switch to bionic

* Tue Sep 24 2019 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - 699e10c
- partition full volatile for non-COW setups too

* Sun Sep 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 82a44bc
- version 4.1.2

* Fri Sep 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd55c1e
- Disable BLS config style in grub

* Tue Sep 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba6be8d
- rpm: update python2 deps

* Tue Jul 09 2019 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - ecc0b70
- align volatile swap partition to 1Mb instead of 512b

* Mon Jun 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 81c64d5
- version 4.1.1

* Sun Jun 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8418891
- initrd: mount / rw for the overlayfs setup time

* Sat Jun 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 66a6e33
- version 4.1.0

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d48e497
- travis: update to R4.1

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c046807
- Remove u2mfn module

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7486078
- Remove qrexec related files

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 042b671
- version 4.0.24

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c6c825
- initramfs: use overlayfs for /lib/modules, if available

* Wed Jun 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7c90c7
- Declare u2mfn module version, skip build for qubes kernels

* Wed Jun 05 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f365d7c
- travis: remove older Fedora releases and add Fedora 30

* Tue Jun 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2b84113
- travis: switch to xenial

* Tue Jun 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e00a64a
- python3: use macro pkgversion

* Mon Feb 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24a25cc
- version 4.0.23

